| USRP Hardware Driver and USRP Manual Version: 4.9.0.makepkg-0-g9ec1f582 UHD and USRP Manual |

Loading...
Searching...
No Matches
uhd::compat_num16 Class Reference

Specialization of the compat_num class for 16-bit compat numbers. More...

`#include <uhd/utils/compat_check.hpp>`

Inheritance diagram for uhd::compat_num16:

## Public Member Functions
| compat_num16 (const uint16_t compat_val)
| compat_num16 (const uint8_t major, const uint8_t minor)
uint16_t | get () const
Public Member Functions inherited from uhd::compat_num< uint8_t, uint8_t >
constexpr | compat_num (uint8_t major, uint8_t minor)
uint8_t | get_major () const
uint8_t | get_minor () const
bool | operator== (const compat_num< uint8_t, uint8_t > &rhs) const
bool | operator!= (const compat_num< uint8_t, uint8_t > &rhs) const
bool | operator< (const compat_num< uint8_t, uint8_t > &rhs) const
bool | operator<= (const compat_num< uint8_t, uint8_t > &rhs) const
bool | operator> (const compat_num< uint8_t, uint8_t > &rhs) const
bool | operator>= (const compat_num< uint8_t, uint8_t > &rhs) const
std::string | to_string () const

## Additional Inherited Members
Protected Attributes inherited from uhd::compat_num< uint8_t, uint8_t >
uint8_t | _major
uint8_t | _minor

## Detailed Description

Specialization of the compat_num class for 16-bit compat numbers.

## Constructor & Destructor Documentation

## ◆ compat_num16() [1/2]

uhd::compat_num16::compat_num16 | ( | const uint16_t | compat_val | ) |
| inline

## ◆ compat_num16() [2/2]

uhd::compat_num16::compat_num16 | ( | const uint8_t | major,
|  | const uint8_t | minor )
| inline

## Member Function Documentation

## ◆ get()

uint16_t uhd::compat_num16::get | ( |  | ) | const
| inline

The documentation for this class was generated from the following file:

- compat_check.hpp